Author: wade
Date: 2005-11-21 22:52:14 -0500 (Mon, 21 Nov 2005)
New Revision: 53335

Added:
   trunk/release/website/history
   trunk/release/website/mk-history-index.sh
Modified:
   trunk/release/packaging/upload-prod
Log:
Generate automatic history indexes to enable 
browsing of previous releases



Modified: trunk/release/packaging/upload-prod
===================================================================
--- trunk/release/packaging/upload-prod 2005-11-22 01:56:30 UTC (rev 53334)
+++ trunk/release/packaging/upload-prod 2005-11-22 03:52:14 UTC (rev 53335)
@@ -3,6 +3,8 @@
 VERSION=$1
 DRYRUN=$2
 
+DO_DRYRUN=0
+
 if test x$VERSION = x || test x$VERSION = xdry ; then
        echo "Usage: ./upload-prod <version> [<dry>]"
        exit 1
@@ -11,6 +13,7 @@
 if test x$DRYRUN = xdry ; then
        extra_options=n
        echo "Doing dry run..."
+       DO_DRYRUN=1
 fi
 
 cd packages
@@ -28,13 +31,16 @@
 rsync -avz$extra_options -e ssh . [EMAIL PROTECTED]:go-mono/archive
 cd -
 
-if [ -z $DRYRUN ]; then
+if test x$DO_DRYRUN = x1 ; then
+       echo "Stopping because of dry run"
+       exit
+fi
 
-       ssh [EMAIL PROTECTED] "cp -f release/website/packaging.css   ~/go-mono/"
-       ssh [EMAIL PROTECTED] "release/website/mk-sources.sh ~/go-mono/sources/ 
$VERSION"
-       ssh [EMAIL PROTECTED] "release/website/mk-index.sh   
~/go-mono/download/ $VERSION"
-       ssh [EMAIL PROTECTED] "release/website/mk-oc.sh      
~/go-mono/download/ official"
+ssh [EMAIL PROTECTED] "cp -f release/website/packaging.css   ~/go-mono/"
+ssh [EMAIL PROTECTED] "release/website/mk-sources.sh   ~/go-mono/sources/ 
$VERSION"
+ssh [EMAIL PROTECTED] "release/website/mk-index.sh     ~/go-mono/download/ 
$VERSION"
+ssh [EMAIL PROTECTED] "release/website/mk-history-index.sh     
~/go-mono/archive/ $VERSION"
+ssh [EMAIL PROTECTED] "release/website/mk-oc.sh                
~/go-mono/download/ official"
 
-fi
 
 

Added: trunk/release/website/history
===================================================================
--- trunk/release/website/history       2005-11-22 01:56:30 UTC (rev 53334)
+++ trunk/release/website/history       2005-11-22 03:52:14 UTC (rev 53335)
@@ -0,0 +1,19 @@
+<html>
+<head>
+<link rel="stylesheet" href="/packaging.css" type="text/css">
+<title>Mono [[version]] Downloads</title>
+</head>
+<body>
+<h1>Mono [[version]] Downloads</h1>
+
+<h3>Sources</h3> 
+[[sources]]
+
+<h3>Installers</h3>
+[[installers]]
+
+<h3>RPM Packages</h3>
+[[packages]]
+
+</body>
+</html>

Added: trunk/release/website/mk-history-index.sh
===================================================================
--- trunk/release/website/mk-history-index.sh   2005-11-22 01:56:30 UTC (rev 
53334)
+++ trunk/release/website/mk-history-index.sh   2005-11-22 03:52:14 UTC (rev 
53335)
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+confdir=$(dirname $(pwd)/$0)
+packagingdir=$confdir/../packaging
+. $packagingdir/shared-code.sh
+
+ARCHIVE_DIR=$1
+VERSION=$2
+
+if test x$VERSION = x; then
+       echo "Usage: mk-history-index.sh <archive_dir> <version>"
+       exit 1
+fi
+
+HISTORY_OUT=$ARCHIVE_DIR/$VERSION/download/index.html
+rm -f $HISTORY_OUT
+
+#### Sources ####
+sources="<p> <a href='../sources'>Sources</a> </p>"
+
+
+#### Installers ####
+# Linux 
+latest_version $ARCHIVE_DIR/$VERSION/linux-installer
+revision=$(basename $LATEST_VERSION)
+installer_dir="$ARCHIVE_DIR/$VERSION/linux-installer/$revision"
+ref_dir="../linux-installer/$revision"
+
+filename=$(basename $installer_dir/*.bin)
+sum_filename=$(basename $installer_dir/*.md5)
+
+installers="$installers <p>Linux Installer: <a 
href='$ref_dir/$filename'>$filename</a> [<a 
href='$ref_dir/$sum_filename'>MD5SUM</a>] </p>"
+
+# Windows
+latest_version $ARCHIVE_DIR/$VERSION/windows-installer
+revision=$(basename $LATEST_VERSION)
+installer_dir="$ARCHIVE_DIR/$VERSION/windows-installer/$revision"
+ref_dir="../windows-installer/$revision"
+
+filename=$(basename $installer_dir/*.exe)
+sum_filename=$(basename $installer_dir/*.md5)
+
+installers="$installers <p>Windows Installer: <a 
href='$ref_dir/$filename'>$filename</a> [<a 
href='$ref_dir/$sum_filename'>MD5SUM</a>] </p>"
+
+# Mac
+installer_dir="$ARCHIVE_DIR/$VERSION/macosx"
+ref_dir="../macosx"
+
+filename=$(basename $installer_dir/*.dmg)
+sum_filename=$(basename $installer_dir/*.md5)
+
+installers="$installers <p>Mac OSX Installer: <a 
href='$ref_dir/$filename'>$filename</a> [<a 
href='$ref_dir/$sum_filename'>MD5SUM</a>] </p>"
+
+#### Packages ####
+packages="<ul>"
+
+# Links to distros
+for distro_conf in $packagingdir/conf/*-*-*; do
+
+       # Skip the distros that use zip packaging system
+       ! egrep "^USE_ZIP_PKG" $distro_conf > /dev/null 2>&1 || continue
+
+       distro_info `basename $distro_conf`
+
+       packages="$packages <li><a href='$DISTRO'>$DISTRO</a></li>"
+done
+
+packages="$packages </ul>"
+
+cat $confdir/history | while read line
+do
+       line=${line//\\[\\[version\\]\\]/$VERSION}
+       line=${line//\\[\\[sources\\]\\]/$sources}
+       line=${line//\\[\\[installers\\]\\]/$installers}
+       line=${line//\\[\\[packages\\]\\]/$packages}
+
+       echo $line >> $HISTORY_OUT
+done
+


Property changes on: trunk/release/website/mk-history-index.sh
___________________________________________________________________
Name: svn:executable
   + *

_______________________________________________
Mono-patches maillist  -  [email protected]
http://lists.ximian.com/mailman/listinfo/mono-patches

Reply via email to